Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203671 - packages 'fprintd' or 'fprintd-pam' don't uninstall cleanly
Summary: packages 'fprintd' or 'fprintd-pam' don't uninstall cleanly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 12:18 UTC by Christian Stadelmann
Modified: 2017-02-17 12:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 13:27:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1423480 0 unspecified CLOSED Don't call "authconfig --update" 2021-02-22 00:41:40 UTC

Internal Links: 1423480

Description Christian Stadelmann 2015-03-19 12:18:28 UTC
Description of problem:
When uninstalling fprintd and fprintd-pam packages from Fedora 21 Workstation there are still 3 files left:

/etc/pam.d/fingerprint-auth
/etc/pam.d/fingerprint-auth-ac
/etc/pam.d/gdm-fingerprint

in /etc/sysconfig/authconfig USEFPRINTD has still the value "true" and PAM is not updated with `authconfig --disablefingerprint`.

This leads to errors logged to journal/syslog:

login[7011]: PAM unable to dlopen(/usr/lib64/security/pam_fprintd.so): /usr/lib
login[7011]: PAM adding faulty module: /usr/lib64/security/pam_fprintd.so

Version-Release number of selected component (if applicable):
fprintd, fprintd-pam: 0:0.6.0-1.fc21

How reproducible:
on different F21 Workstation systems with fprintd and fprintd-pam manually uninstalled.

Additional info:
Running `authconfig --disablefingerprint` after uninstalling fprintd-pam gets rid of the warning. I don't know if that is the best way to fix this.

Comment 1 Bastien Nocera 2015-03-20 15:37:41 UTC
Those files come from pam, authconfig and gdm, respectively, not from fprintd.

Reassigning to authconfig, it should probably set up its pam configuration to ignore pam_fprintd.so if it's not present.

Comment 2 Tomas Mraz 2015-03-20 15:45:55 UTC
fprintd package should call 'authconfig --disablefingerprint --update' in its postun script.
This is much more clean solution.

The 
/etc/pam.d/fingerprint-auth
/etc/pam.d/fingerprint-auth-ac
files won't be removed by this but the log messages should be fixed by this.

Comment 3 Christian Stadelmann 2015-11-03 17:51:54 UTC
Still present on F23.

Comment 4 Bastien Nocera 2016-09-22 13:27:49 UTC
Will be fixed when fprintd-0.6.0-5 is built.


Note You need to log in before you can comment on or make changes to this bug.